/**
 * E_Level.java
 * Group 7, Object Oriented Software Engineering
 * October 10, 2009
 */
package edu.jhu.cs.oose.elevel;

import com.trolltech.qt.gui.QApplication;
import com.trolltech.qt.gui.QIcon;

/**
 * Main class, responsible for the creation of the splash screen and the the main window.
 * It will likely also place initial calls to the the database later.
 * 
 * @author H. Parker Shelton, Jesse Yates
 */
public class E_Level
{
	public static void main(String[] args)
	{
		QApplication.initialize(args);

		MainWindow elevel = new MainWindow();
		elevel.setWindowIcon(new QIcon("classpath:../images/icon.png"));
		elevel.setWindowTitle("E-Level");

		if(!Preferences.getInstance().hasExportLocation())
			Preferences.getInstance().changeExportLocation(elevel, "Please select a default directory for E-Level decks:");

		// TODO Remove function call
		elevel.generateDeckandCards();

		elevel.setupDeckTree();
		elevel.setupCardArea();

		if(Preferences.getInstance().getValue("SHOW_SPLASH").equals("true"))
		{
			SplashScreen splashScreen = new SplashScreen(3);
			// Creates a splashScreen open for 3 seconds
			splashScreen.show();
			splashScreen.raise();
		}

		elevel.setGeometry(100, 100, 500, 300);
		elevel.showNormal();
		elevel.raise();

		QApplication.exec();
	}
}
