/**
 * GraphWindow.java
 * Group 7, Object Oriented Software Engineering
 * October 10, 2009
 */
package edu.jhu.cs.oose.elevel;

import java.util.List;

/**
 * The underlying data model to be displayed in the associated {@link GraphWindowGUI}
 * 
 * @author Jesse Yates
 */
public class GraphWindow
{
	/** The set of {@link DeckStat} to be displayed */
	private List<DeckStat> deckStats;

	/** The GUI associated with this model */
	private GraphWindowGUI graphGUI;

	/**
	 * Returns the set of {@code DeckStat}s to be displayed
	 * 
	 * @return a {@link List} of {@code DeckStat}s to be displayed
	 */
	public List<DeckStat> getDeckStat()
	{
		return deckStats;
	}

	/**
	 * Add the specified {@code DeckStat} to the list of {@code DeckStat}s to be displayed
	 * 
	 * @param d
	 *        the {@code DeckStat} to add to the display
	 */
	public void addDeckStat(DeckStat d)
	{
		this.deckStats.add(d);
	}

	/**
	 * Returns the GUI associated with this <code>GraphWindow</code>
	 * 
	 * @return a {@link GraphWindowGUI} representing the GUI associated with this <code>GraphWindow</code>
	 */
	public GraphWindowGUI getGUI()
	{
		return graphGUI;
	}

	/**
	 * Set the GUI associated with this <code>GraphWindow</code> to the specified {@link GraphWindowGUI}
	 * 
	 * @param g
	 *        a {@link GraphWindowGUI} representing the GUI associated with this <code>GraphWindow</code>
	 */
	public void setGraphGUI(GraphWindowGUI g)
	{
		this.graphGUI = g;
	}
}
