/**
 * PreferenceCheckBox.java
 * Group 7, Object Oriented Software Engineering
 * October 10, 2009
 */

package edu.jhu.cs.oose.elevel;

import com.trolltech.qt.QSignalEmitter;
import com.trolltech.qt.gui.QCheckBox;

/**
 * Class to ensure that the name of the preference is included with its new state
 * 
 * @author Jesse Yates
 */
public class PreferenceCheckBox extends QCheckBox
{
	/**
	 * signal to connect to
	 */
	public final QSignalEmitter.Signal2<String, Boolean> stateChange = new QSignalEmitter.Signal2<String, Boolean>();

	/**
	 * Constructor that takes the name of the box
	 * 
	 * @param key
	 *        The name to display
	 */
	public PreferenceCheckBox(String key)
	{
		super(key);
		clicked.connect(this, "wasClicked()");
	}

	/**
	 * update the current state of being clicked
	 */
	public void wasClicked()
	{
		stateChange.emit(this.text(), new Boolean(this.isChecked()));
	}
}
