/**
 * SplashScreen.java
 * Group 7, Object Oriented Software Engineering
 * October 10, 2009
 */
package edu.jhu.cs.oose.elevel;

import com.trolltech.qt.core.QTimer;
import com.trolltech.qt.core.Qt;
import com.trolltech.qt.gui.QPixmap;
import com.trolltech.qt.gui.QSplashScreen;

/**
 * Implements a splash screen for the program
 * 
 * @author H. Parker Shelton, Greg Anderson
 */
public class SplashScreen extends QSplashScreen
{
	private static final String imageLocation = "classpath:../images/splash.png";

	/** Instantiates a new SplashScreen with default display time of 3 seconds */
	public SplashScreen()
	{
		this(3);
	}

	/**
	 * @param displayTime
	 *        an <code>int</code> representing the time to display the splash screen in seconds
	 */
	public SplashScreen(int displayTime)
	{
		super(new QPixmap(imageLocation), Qt.WindowType.WindowStaysOnTopHint);
		QTimer timer = new QTimer();
		timer.timeout.connect(this, "timeOutEvent()");
		timer.start(displayTime * 1000);
	}

	/** Closes the <code>SplashScreen</code> when the timer has run out */
	@SuppressWarnings("unused")
	private void timeOutEvent()
	{
		this.close();
	}
}
